// (C) 2001-2019 Intel Corporation. All rights reserved.
// Your use of Intel Corporation's design tools, logic functions and other 
// software and tools, and its AMPP partner logic functions, and any output 
// files from any of the foregoing (including device programming or simulation 
// files), and any associated documentation or information are expressly subject 
// to the terms and conditions of the Intel Program License Subscription 
// Agreement, Intel FPGA IP License Agreement, or other applicable 
// license agreement, including, without limitation, that your use is for the 
// sole purpose of programming logic devices manufactured by Intel and sold by 
// Intel or its authorized distributors.  Please refer to the applicable 
// agreement for further details.


module soc_system_hps_0_fpga_interfaces(
// h2f_reset
  output wire [1 - 1 : 0 ] h2f_rst_n
// uart0
 ,input wire [1 - 1 : 0 ] uart0_cts
 ,input wire [1 - 1 : 0 ] uart0_dsr
 ,input wire [1 - 1 : 0 ] uart0_dcd
 ,input wire [1 - 1 : 0 ] uart0_ri
 ,output wire [1 - 1 : 0 ] uart0_dtr
 ,output wire [1 - 1 : 0 ] uart0_rts
 ,output wire [1 - 1 : 0 ] uart0_out1_n
 ,output wire [1 - 1 : 0 ] uart0_out2_n
 ,input wire [1 - 1 : 0 ] uart0_rxd
 ,output wire [1 - 1 : 0 ] uart0_txd
);


cyclonev_hps_interface_clocks_resets clocks_resets(
 .f2h_pending_rst_ack({
    1'b1 // 0:0
  })
,.f2h_warm_rst_req_n({
    1'b1 // 0:0
  })
,.f2h_dbg_rst_req_n({
    1'b1 // 0:0
  })
,.h2f_rst_n({
    h2f_rst_n[0:0] // 0:0
  })
,.f2h_cold_rst_req_n({
    1'b1 // 0:0
  })
);


cyclonev_hps_interface_dbg_apb debug_apb(
 .DBG_APB_DISABLE({
    1'b0 // 0:0
  })
,.P_CLK_EN({
    1'b0 // 0:0
  })
);


cyclonev_hps_interface_tpiu_trace tpiu(
 .traceclk_ctl({
    1'b1 // 0:0
  })
);


cyclonev_hps_interface_boot_from_fpga boot_from_fpga(
 .boot_from_fpga_ready({
    1'b0 // 0:0
  })
,.boot_from_fpga_on_failure({
    1'b0 // 0:0
  })
,.bsel_en({
    1'b0 // 0:0
  })
,.csel_en({
    1'b0 // 0:0
  })
,.csel({
    2'b01 // 1:0
  })
,.bsel({
    3'b001 // 2:0
  })
);


cyclonev_hps_interface_fpga2hps fpga2hps(
 .port_size_config({
    2'b11 // 1:0
  })
);


cyclonev_hps_interface_hps2fpga hps2fpga(
 .port_size_config({
    2'b11 // 1:0
  })
);


cyclonev_hps_interface_fpga2sdram f2sdram(
 .cfg_cport_rfifo_map({
    18'b000000000000000000 // 17:0
  })
,.cfg_axi_mm_select({
    6'b000000 // 5:0
  })
,.cfg_wfifo_cport_map({
    16'b0000000000000000 // 15:0
  })
,.cfg_cport_type({
    12'b000000000000 // 11:0
  })
,.cfg_rfifo_cport_map({
    16'b0000000000000000 // 15:0
  })
,.cfg_port_width({
    12'b000000000000 // 11:0
  })
,.cfg_cport_wfifo_map({
    18'b000000000000000000 // 17:0
  })
);


cyclonev_hps_interface_peripheral_uart peripheral_uart0(
 .txd({
    uart0_txd[0:0] // 0:0
  })
,.cts({
    uart0_cts[0:0] // 0:0
  })
,.out1_n({
    uart0_out1_n[0:0] // 0:0
  })
,.dtr({
    uart0_dtr[0:0] // 0:0
  })
,.rts({
    uart0_rts[0:0] // 0:0
  })
,.out2_n({
    uart0_out2_n[0:0] // 0:0
  })
,.rxd({
    uart0_rxd[0:0] // 0:0
  })
,.ri({
    uart0_ri[0:0] // 0:0
  })
,.dsr({
    uart0_dsr[0:0] // 0:0
  })
,.dcd({
    uart0_dcd[0:0] // 0:0
  })
);

endmodule

